;;;(k_get_data (car (entsel)) "*")
;;;(k_get_data (car (entsel)) "INDEX")
;;;(k_get_data (car (entsel)) (list "BEZ" "INDEX"))

(defun k_get_data (ent_name bez / att_list obj_name data data_list dyn_list)
  (if (= (type ent_name) 'vla-object)
    (setq ent_name (vlax-vla-object->ename ent_name))
  )
  (setq obj_name (vlax-ename->vla-object ent_name))
  (if (and (vlax-property-available-p obj_name "hasattributes")
	   (= (vla-get-hasattributes obj_name) :vlax-true)
      )
    (setq att_list
	   (mapcar '(lambda (obj)
		      (list (vla-get-tagstring obj) (vla-get-textstring obj))
		    )
		   (vlax-safearray->list
		     (vlax-variant-value
		       (vla-getattributes (vlax-ename->vla-object ent_name))
		     )
		   )
	   )
    )
  )

  (if (and (vlax-property-available-p
	     obj_name
	     "isdynamicblock"
	   )
	   (= (vla-get-isdynamicblock obj_name) :vlax-true)
      )
    (setq dyn_list
	   (vl-remove
	     'nil
	     (mapcar
	       '(lambda	(prop)
		  (if (= (vla-get-show prop) :vlax-true)
		    (list (vla-get-propertyname prop)
			  (vlax-variant-value (vla-get-value prop))
		    )
		  )
		)
	       (vlax-safearray->list
		 (vlax-variant-value
		   (vla-getdynamicblockproperties
		     obj_name
		   )
		 )
	       )
	     )
	   )
    )
  )

  (setq ent_data (entget ent_name (list "KRAUS")))
  (if (setq exdat (assoc -3 ent_data))
    (progn
      (setq exdat (cdr (assoc "KRAUS" (cdr exdat))))
      (while exdat
	(setq data_list
	       (cons
		 (list (cdr (nth 0 exdat)) (cdr (nth 1 exdat)))
		 data_list
	       )
	)
	(setq exdat (cddr exdat))
      )
    )
  )

  (cond
    ((= (type bez) 'str)
     (if (= bez "*")
       (progn
	 (setq
	   data	(append	att_list
			data_list
			dyn_list
		)
	 )
       )
       (progn
	 (if (assoc bez dyn_list)
	   (setq data (nth 1 (assoc bez dyn_list)))
	   (if (assoc bez att_list)
	     (setq data (nth 1 (assoc bez att_list)))
	     (if (assoc bez data_list)
	       (setq data (nth 1 (assoc bez data_list)))
	     )
	   )
	 )
       )
     )
    )
    ((= (type bez) 'list)
     (setq
       data (mapcar '(lambda (bez / data)
		       (if (assoc bez dyn_list)
			 (setq data (nth 1 (assoc bez dyn_list)))
			 (if (assoc bez att_list)
			   (setq data (nth 1 (assoc bez att_list)))
			   (if (assoc bez data_list)
			     (setq data (nth 1 (assoc bez data_list)))
			   )
			 )
		       )
		       (list bez data)
		     )
		    bez
	    )
     )
    )
  )
  data
)

(defun k_satz->entlist (satz / n ent_list)
  (if (= (type satz) 'PICKSET)
    (progn
      (setq n (sslength satz))
      (repeat (sslength satz)
	(setq n (1- n))
	(setq ent_list (cons (ssname satz n) ent_list))
      )
    )
  )
)

(defun k_entlist->satz (ent_list / n satz)
  (if (listp ent_list)
    (progn
      (setq satz (ssadd))
      (mapcar '(lambda (ent_name)
                 (cond
                   ((= (type ent_name) 'ename)
                    (setq satz (ssadd ent_name satz))
                   )
                   ((= (type ent_name) 'str)
                    (if (handent ent_name)
                      (setq satz (ssadd (handent ent_name) satz))
                    )
                   )
                 )
               )
              ent_list
      )
    )
  )
  satz
)

(defun c:k_x018 ()
  (vl-load-com)
;;;  Objektfilter
  (defun end_x018 (wert)
    (setq ok wert)
    (done_dialog)
  )

  (defun x018_raus ()
    (setq nr (atoi (get_tile "auswahl")))
    (setq dummy_list (list))
    (setq n 0)
    (foreach
	      data
		  data_list1
      (if (/= n nr)
	(setq dummy_list (cons data dummy_list))
	(setq data_list2 (cons data data_list2))
      )
      (setq n (1+ n))
    )
    (setq data_list1 (reverse dummy_list))
    (x018_auswahl)
    (x018_abwahl)
    (if	data_list1
      (progn
	(setq nr (min nr (1- (length data_list1))))
	(set_tile "auswahl" (itoa nr))
      )
    )
  )

  (defun x018_rein ()
    (setq nr (atoi (get_tile "abwahl")))
    (setq dummy_list (list))
    (setq n 0)
    (foreach
	      data
		  data_list2
      (if (/= n nr)
	(setq dummy_list (cons data dummy_list))
	(setq data_list1 (cons data data_list1))
      )
      (setq n (1+ n))
    )
    (setq data_list2 (reverse dummy_list))
    (x018_auswahl)
    (x018_abwahl)
    (if	data_list2
      (progn
	(setq nr (min nr (1- (length data_list2))))
	(set_tile "abwahl" (itoa nr))
      )
    )
  )

  (defun x018_auswahl_s	()
    (mode_tile "rein" 1)
    (mode_tile "raus" 0)
    (if	(= $reason 4)
      (x018_raus)
    )
  )

  (defun x018_abwahl_s ()
    (mode_tile "rein" 0)
    (mode_tile "raus" 1)
    (if	(= $reason 4)
      (x018_rein)
    )
  )

  (defun x018_auswahl ()
    (setq auswahl_list (list))
    (foreach
	      data
		  (reverse data_list1)
      (setq art (nth 1 data))
      (setq wert (cdr (nth 2 data)))
      (cond
	((= (type wert) 'real)
	 (setq wert (rtos wert))
	)
	((= (type wert) 'int)
	 (setq wert (itoa wert))
	)
	((= (type wert) 'str)
	 (setq wert wert)
	)
	((= (type wert) 'list)
	 (setq dummy "")
	 (foreach
		   w
		    wert
	   (cond
	     ((= (type w) 'real)
	      (setq w (rtos w))
	     )
	     ((= (type w) 'int)
	      (setq w (itoa w))
	     )
	     ((= (type w) 'str)
	      (setq w w)
	     )
	   )
	   (setq dummy (strcat dummy "," w))
	 )
	 (setq wert (substr dummy 2))
	)
      )
      (setq data (strcat art " = " wert))
      (setq auswahl_list (cons data auswahl_list))
    )
    (start_list "auswahl")
    (mapcar 'add_list auswahl_list)
    (end_list)
  )

  (defun x018_abwahl ()
    (setq abwahl_list (list))
    (foreach
	      data
		  (reverse data_list2)
      (setq art (nth 1 data))
      (setq wert (cdr (nth 2 data)))
      (cond
	((= (type wert) 'real)
	 (setq wert (rtos wert))
	)
	((= (type wert) 'int)
	 (setq wert (itoa wert))
	)
	((= (type wert) 'str)
	 (setq wert wert)
	)
	((= (type wert) 'list)
	 (setq dummy "")
	 (foreach
		   w
		    wert
	   (cond
	     ((= (type w) 'real)
	      (setq w (rtos w))
	     )
	     ((= (type w) 'int)
	      (setq w (itoa w))
	     )
	     ((= (type w) 'str)
	      (setq w w)
	     )
	   )
	   (setq dummy (strcat dummy "," w))
	 )
	 (setq wert (substr dummy 2))
	)
      )
      (setq data (strcat art " = " wert))
      (setq abwahl_list (cons data abwahl_list))
    )
    (start_list "abwahl")
    (mapcar 'add_list abwahl_list)
    (end_list)
  )

  (setq ent_name (car (entsel)))
  (setq ent_data (entget ent_name))
  (setq obj_art (cdr (assoc 0 ent_data)))
  (setq data_list1 (list))
  (if (assoc 62 ent_data)
    (setq farbe (assoc 62 ent_data))
    (setq farbe (cons 62 256))
  )
  (if (assoc 6 ent_data)
    (setq linientyp (assoc 6 ent_data))
    (setq linientyp (cons 6 "vonlayer"))
  )
  (setq data_list1 (list))
  (setq	data_list2
	 (mapcar '(lambda (att_data)
		    (list -66 (nth 0 att_data) (cons 1 (nth 1 att_data)))
		  )
		 (k_get_data ent_name "*")
	 )
  )
  (cond
    ((= obj_art "3DFACE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "3DSOLID")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
    )
    ((= obj_art "ACAD_PROXY_ENTITY")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
	    )
     )
    )
    ((= (substr obj_art 1 3) "AEC")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
	    )
     )
    )
    ((= obj_art "ARC")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
		  (list 40 "Radius" (assoc 40 ent_data))
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "ATTDEF")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
		  (list 7 "Stilname" (assoc 7 ent_data))
	    )
     )
     (setq data_list2
	    (append
	      (list (list 2 "Bezeichnung" (assoc 2 ent_data))
		    (list 3 "Eingabe" (assoc 3 ent_data))
		    (list 40 "Texthhe" (assoc 40 ent_data))
	      )
	      data_list2
	    )
     )
    )
    ((= obj_art "ATTRIB")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
    )
    ((= obj_art "CIRCLE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
		  (list 40 "Radius" (assoc 40 ent_data))
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "DIMENSION")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
		  (list 3 "Bemaungsstil" (assoc 3 ent_data))
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "ELLIPSE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "HATCH")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 2 "Schraffurmuster" (assoc 2 ent_data))
	    )
     )
     (if (assoc 41 ent_data)
       (setq data_list1
	      (reverse
		(cons (list 41 "Skalierung" (assoc 41 ent_data))
		      (reverse data_list1)
		)
	      )
       )
     )
     (if (assoc 52 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 52 "Schraffurwinkel" (assoc 52 ent_data))
		)
		data_list2
	      )
       )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "IMAGE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
	    )
     )
    )
    ((= obj_art "INSERT")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 2 "Blockname" (assoc 2 ent_data))
	    )
     )
     (setq data_list2
	    (append
	      (list (list 6 "Linientyp" linientyp)
		    (list 41 "X-Skalierfaktor" (assoc 41 ent_data))
		    (list 42 "Y-Skalierfaktor" (assoc 42 ent_data))
		    (list 43 "Z-Skalierfaktor" (assoc 43 ent_data))
		    (list 66 "Attribute vorhanden" (cons 66 1))
		    (list 50 "Drehwinkel" (assoc 50 ent_data))
	      )
	      data_list2
	      (list
		(list
		  "vla"
		  "Originalname"
		  (cons
		    "(vla-get-EffectiveName (vlax-ename->vla-object ent_name))"
		    (vla-get-effectivename (vlax-ename->vla-object ent_name))
		  )
		)
	      )
	    )
     )
    )
    ((= obj_art "LEADER")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 3 "Bemaungsstil" (assoc 3 ent_data))
	    )
     )
     (setq data_list2
	    (append
	      (list (list 6 "Linientyp" linientyp))
	      data_list2
	    )
     )
    )
    ((= obj_art "LINE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "LWPOLYLINE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "MLINE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
		  (list 2 "Stilname" (assoc 2 ent_data))
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "MTEXT")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 7 "Stilname" (assoc 7 ent_data))
	    )
     )
     (setq data_list2
	    (append
	      (list (list 1 "Textinhalt" (assoc 1 ent_data))
		    (list 6 "Linientyp" linientyp)
		    (list 40 "Texthhe" (assoc 40 ent_data))
		    (list 50 "Drehung" (assoc 50 ent_data))
		    (list 210 "Ausrichtung" (assoc 210 ent_data))
	      )
	      data_list2
	    )
     )
    )
    ((= obj_art "OLEFRAME")
    )
    ((= obj_art "OLE2FRAME")
    )
    ((= obj_art "POINT")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
    )
    ((= obj_art "POLYLINE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "RAY")
    )
    ((= obj_art "REGION")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "SEQEND")
    )
    ((= obj_art "SOLID")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
	    )
     )
    )
    ((= obj_art "SYMBOL")
    )
    ((= obj_art "SPLINE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "TEXT")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 7 "Stilname" (assoc 7 ent_data))
	    )
     )
     (setq data_list2
	    (append
	      (list (list 1 "Textinhalt" (assoc 1 ent_data))
		    (list 6 "Linientyp" linientyp)
		    (list 40 "Texthhe" (assoc 40 ent_data))
		    (list 210 "Ausrichtung" (assoc 210 ent_data))
	      )
	      data_list2
	    )
     )
     (if (assoc 41 ent_data)
       (setq data_list2
	      (append
		data_list2
		(list
		  (list 41 "Breitenfaktor" (assoc 41 ent_data))
		)
	      )
       )
       (setq data_list2
	      (append data_list2
		      (list
			(list 41 "Breitenfaktor" (cons 41 1.0))
		      )
	      )
       )
     )
    )
    ((= obj_art "TRACE")
    )
    ((= obj_art "VIEWPORT")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
		  (list 410 "Layout" (assoc 410 ent_data))
	    )
     )
    )
    ((= obj_art "WIPEOUT")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
    )
    ((= obj_art "XLINE")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "MANSFEN")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
     (if (assoc 48 ent_data)
       (setq data_list2
	      (append
		(list
		  (list 48 "Objektlinientypskalierung" (assoc 48 ent_data))
		)
		data_list2
	      )
       )
     )
    )
    ((= obj_art "ACAD_PROXY_ELEMENT")
     (setq data_list1
	    (list (list 0 "Objektart" (assoc 0 ent_data))
		  (list 8 "Layer" (assoc 8 ent_data))
		  (list 62 "Farbe" farbe)
		  (list 6 "Linientyp" linientyp)
	    )
     )
    )
  )
  (setq x018_id (load_dialog "k_x018.dcl"))
  (if (not (new_dialog "k_x018" x018_id))
    (exit)
  )

  (x018_auswahl)
  (x018_abwahl)
  (action_tile "auswahl" "(x018_auswahl_s)")
  (action_tile "abwahl" "(x018_abwahl_s)")
  (action_tile "raus" "(x018_raus)")
  (action_tile "rein" "(x018_rein)")
  (action_tile "accept" "(end_x018 1)")
  (action_tile "cancel" "(end_x018 0)")
  (set_tile "auswahl" "0")
  (x018_auswahl_s)
  (start_dialog)
  (unload_dialog x018_id)
  (if (= ok 1)
    (progn
      (setq filter
	     (mapcar '(lambda (data) (nth 2 data))
		     (vl-remove-if
		       '(lambda	(data)
			  (or (= (car data) "vla") (= (car data) -66))
			)
		       data_list1
		     )
	     )
      )
      (print "bei ENTER werden alle Objekte gewhlt")
      (if (null (setq satz (ssget filter)))
	(setq satz (ssget "x" filter))
      )
      (setq ent_list (k_satz->entlist satz))
      (setq att_filter_list
	     (mapcar '(lambda (data) (list (nth 1 data) (cdr (nth 2 data))))
		     (vl-remove-if-not
		       '(lambda (data) (= (car data) -66))
		       data_list1
		     )
	     )
      )
      (setq att_bez_list
	     (mapcar '(lambda (data) (nth 0 data))
		     att_filter_list
	     )
      )
      (setq att_inh_list
	     (mapcar '(lambda (data) (nth 1 data))
		     att_filter_list
	     )
      )
      (setq ent_list
	     (vl-remove-if-not
	       '(lambda	(ent_name)
		  (equal (mapcar 'cadr
				 (k_get_data ent_name att_bez_list)
			 )
			 att_inh_list
		  )
		)
	       ent_list
	     )
      )
      (setq vla_filter_list
	     (mapcar '(lambda (data) (nth 2 data))
		     (vl-remove-if-not
		       '(lambda (data) (= (car data) "vla"))
		       data_list1
		     )
	     )
      )
      (if vla_filter_list
	(setq ent_list
	       (vl-remove-if-not
		 '(lambda (ent_name)
		    (vl-remove
		      'nil
		      (mapcar
			'(lambda (vla_filter)
			   (equal
			     (eval (read (car (nth 0 vla_filter_list)))
			     )
			     (cdr (nth 0 vla_filter_list))
			   )
			 )
			vla_filter_list
		      )
		    )
		  )
		 ent_list
	       )
	)
      )
      (setq satz (k_entlist->satz ent_list))
      (sssetfirst satz satz)
    )
  )
  (princ)
)
